.product-teaser {
  background-color: var(--color-surface);
  border-radius: var(--radius-sm);
  box-shadow: var(--shadow-xs);
  display: flex;
  flex-direction: column;
  position: relative;
  transition: all .2s ease-in-out;
}

.product-teaser:hover {
  box-shadow: var(--shadow-md);
}

.product-teaser__head {
  position: relative;
  overflow: hidden;
  border-radius: var(--radius-sm) var(--radius-sm) 0 0;
}

.product-teaser__head img {
  width: 100%;
}

.product-teaser__bottom {
  display: flex;
  align-items: center;
  margin-top: auto;
  position: relative;
  z-index: 2;
  padding: 0 var(--spacing-md) var(--spacing-md) var(--spacing-md);
  gap: var(--spacing-xxs);
}

.product-teaser__body {
  padding: var(--spacing-sm) var(--spacing-md);
}

.product-teaser__rating {
  margin-top: var(--spacing-xxs);
}

.product-teaser__title {
  font: var(--typography-body-small);
  font-weight: normal;
  color: var(--link-color);
  margin-top: var(--spacing-sm);
  margin-bottom: 0;
}

.product-teaser:hover .product-teaser__title {
  color: var(--link-color--hover);
}

.product-teaser__link {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.product-teaser__head-top {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  padding: var(--spacing-sm);
  display: flex;
}

.product-teaser__head-bottom {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: var(--spacing-sm);
  display: flex;
}

.product-variation-teaser-field-coating-type {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: var(--spacing-xxs);
  border-radius: var(--radius-xs);
  font: var(--typography-label-small);
  font-weight: bold;
  line-height: 1;
  border: 2px solid var(--color-primary);
  color: var(--color-primary);
}

.product-variation-teaser-sku {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: var(--spacing-xxs);
  border-radius: var(--radius-xs);
  font: var(--typography-label-small);
  font-weight: bold;
  line-height: 1;
  margin-left: auto;
  background: var(--color-primary-container);
  color: var(--color-on-primary-container);
}
